
body {
    margin: 0;
    font-family: Arial, sans-serif;
    background: #0f172a;
    color: #e5e7eb;
}

header {
    text-align: center;
    padding: 40px;
    background: #020617;
}

nav {
    display: flex;
    justify-content: center;
    gap: 30px;
    background: #020617;
    padding: 15px;
}

nav a {
    color: #38bdf8;
    text-decoration: none;
}

section {
    padding: 40px;
    max-width: 900px;
    margin: auto;
}

.card {
    background: #020617;
    padding: 20px;
    margin-bottom: 20px;
    border-radius: 8px;
}

.tag {
    display: inline-block;
    margin-top: 10px;
    margin-right: 5px;
    padding: 4px 8px;
    background: #1e293b;
    border-radius: 4px;
    font-size: 12px;
}

footer {
    text-align: center;
    padding: 20px;
    background: #020617;
    margin-top: 40px;
}


.card h3 a {
  color: inherit;
  text-decoration: none;
}

.card h3 a:hover {
  text-decoration: underline;
}

.writeup {
  max-width: 800px;
  margin: 40px auto;
  line-height: 1.7;
}

.writeup pre {
  background: #111;
  color: #0f0;
  padding: 15px;
  overflow-x: auto;
}

.writeup-header {
  max-width: 800px;
  margin: 20px auto;
}

.writeup-header a {
  text-decoration: none;
  color: #888;
}

.writeup-header a:hover {
  text-decoration: underline;
}

###############

.about {
  max-width: 800px;
  margin: 40px auto;
  line-height: 1.7;
}

.menu a {
  margin-right: 15px;
  text-decoration: none;
}

.menu a.active {
  font-weight: bold;
  text-decoration: underline;
}


##########profile pic

.about-header {
  display: flex;
  align-items: center;
  gap: 20px;
  margin-bottom: 30px;
  margin-top: clamp(20px, 5vw, 50px);
}


.profile-pic {
  width: 120px;
  height: 120px;
  border-radius: 50%;        
  object-fit: cover;
  box-shadow: 0 8px 20px rgba(0,0,0,0.25);
}

.about-intro h1 {
  margin: 0;
  font-size: 28px;
}

.subtitle {
  color: #aaa;
  margin-top: 5px;
}

@media (max-width: 600px) {
  .about-header {
    flex-direction: column;
    text-align: center;
  }
}

